NETGROUP_MKDB(8)

NAME
netgroup_mkdb - generate the netgroup database

SYNOPSIS
netgroup_mkdb [-o database] [file]

DESCRIPTION
netgroup_mkdb creates a db(3) database for the specified file. If no file is specified, then /etc/netgroup is used. This database is installed into /var/db/netgroup.db. The file must be in the correct format (see netgroup(5)).

The options are as follows:

-o database
    Put the output databases in the named file.

The databases are used by the C library netgroup routines (see getnetgrent(3)).

netgroup_mkdb exits zero on success, non-zero on failure.

FILES
/var/db/netgroup.db
    The current netgroup database
/var/db/netgroup.db.tmp
    A temporary file
/etc/netgroup
    The current netgroup file

SEE ALSO
db(3), getnetgrent(3), netgroup(5)

BUGS
Because netgroup_mkdb guarantees not to install a partial destination file it must build a temporary file in the same file system and if successful use rename(2) to install over the destination file.

If netgroup_mkdb fails it will leave the previous version of the destination file intact.